unit priv;

{$R-,T-,H+,X+}

interface

uses Windows, SysUtils, Classes, Graphics, Db;
type

 TToto = class;
TParams1 = class ;
{ TParams }

  TToto = class(TObject)
  private
  public
    constructor Create(t:TParams1); overload;
  end;

  TParams1 = class(TObject)
  private
    FOwner: TToto;
  public
    constructor Create(); overload;
  end;

procedure Affecte(Source: TDataSet;Dest: TDataSet; toto : Pointer);
procedure Affecte1(Source: TToto;Dest: TParams1);

implementation

procedure Affecte(Source: Db.TDataSet;Dest: Db.TDataSet; toto : Pointer);
begin
{TMethod( d.RemoveDataSource).Code := toto;}
{  Dest.FFields := Source.FFields;}
end;

    constructor TToto.Create(t:TParams1);
    begin
      t.FOwner:=self;
    end;
    constructor TParams1.Create();
    begin
    end;
procedure Affecte1(Source: TToto;Dest: TParams1);
begin
Dest.FOwner := Source;
end;


end.
